package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class CgiReplyBucketData {
    private Long id;

    private String strategy;

    private Integer sort;

    private String batch;

    private Integer batchSort;

    private String strategyDt;

    private String ghId;

    private Integer msgType;

    private String title;

    private String coverUrl;

    private String miniAppId;

    private String miniPagePath;

    private Long miniVideoId;

    private String rootSourceId;

    private Long pagePathUrlId;

    private String newsPublishContentId;

    private String planId;

    private Integer isDelete;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStrategy() {
        return strategy;
    }

    public void setStrategy(String strategy) {
        this.strategy = strategy;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public Integer getBatchSort() {
        return batchSort;
    }

    public void setBatchSort(Integer batchSort) {
        this.batchSort = batchSort;
    }

    public String getStrategyDt() {
        return strategyDt;
    }

    public void setStrategyDt(String strategyDt) {
        this.strategyDt = strategyDt;
    }

    public String getGhId() {
        return ghId;
    }

    public void setGhId(String ghId) {
        this.ghId = ghId;
    }

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getMiniAppId() {
        return miniAppId;
    }

    public void setMiniAppId(String miniAppId) {
        this.miniAppId = miniAppId;
    }

    public String getMiniPagePath() {
        return miniPagePath;
    }

    public void setMiniPagePath(String miniPagePath) {
        this.miniPagePath = miniPagePath;
    }

    public Long getMiniVideoId() {
        return miniVideoId;
    }

    public void setMiniVideoId(Long miniVideoId) {
        this.miniVideoId = miniVideoId;
    }

    public String getRootSourceId() {
        return rootSourceId;
    }

    public void setRootSourceId(String rootSourceId) {
        this.rootSourceId = rootSourceId;
    }

    public Long getPagePathUrlId() {
        return pagePathUrlId;
    }

    public void setPagePathUrlId(Long pagePathUrlId) {
        this.pagePathUrlId = pagePathUrlId;
    }

    public String getNewsPublishContentId() {
        return newsPublishContentId;
    }

    public void setNewsPublishContentId(String newsPublishContentId) {
        this.newsPublishContentId = newsPublishContentId;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", strategy=").append(strategy);
        sb.append(", sort=").append(sort);
        sb.append(", batch=").append(batch);
        sb.append(", batchSort=").append(batchSort);
        sb.append(", strategyDt=").append(strategyDt);
        sb.append(", ghId=").append(ghId);
        sb.append(", msgType=").append(msgType);
        sb.append(", title=").append(title);
        sb.append(", coverUrl=").append(coverUrl);
        sb.append(", miniAppId=").append(miniAppId);
        sb.append(", miniPagePath=").append(miniPagePath);
        sb.append(", miniVideoId=").append(miniVideoId);
        sb.append(", rootSourceId=").append(rootSourceId);
        sb.append(", pagePathUrlId=").append(pagePathUrlId);
        sb.append(", newsPublishContentId=").append(newsPublishContentId);
        sb.append(", planId=").append(planId);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}